module mouse_interface(clk,rst,din,dout);
   input wire clk,rst;
   input wire [7:0] din;
   output wire [7:0] dout;
   wire 	     reg_en,reg_set0;
   wire 	     counter_en1,counter_en2;

   reg_for_mouse reg_for_mouse(clk,rst,reg_en,reg_set0,din,dout);
   delay_mouse_count delay_mouse_count(clk,rst,counter_en1,counter_en2,reg_en,reg_set0);
   counter_en_gen counter_en_gen(din,dout,counter_en1,counter_en2);
endmodule // mouse_interface

     
   